<?php //utf-8 marker: äöü 

if (!function_exists('sv') || preg_match('#/plugins/subsitefuncs/admin.php#i', $_SERVER['SCRIPT_NAME']))
{
	die('no direct access');
}

/*
============================================================ 
CMSimple Plugin SubsiteFuncs
============================================================ 
Version:    SubsiteFuncs 1.0
Released:   05/2015
Copyright:  Gert Ebersbach - www.ge-webdesign.de
Authors:    Gert Ebersbach - www.ge-webdesign.de
            Martin Damken - www.zeichenkombinat.de
============================================================ 
License:
- free for noncommercial websites
- fee required for commercial websites
============================================================ 
*/

initvar('subsitefuncs');

if ($subsitefuncs) 
{
	if(!defined('CMSIMPLE_VERSION'))
	{
		$o.= '<p>This plugin requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
		return;
	}
	
	if(defined('XH_ADM'))
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0;">
<h4><a href="?subsitefuncs">Plugin Info &raquo;</a></h4>
<p style="line-height: 1.6em;"><b>SubsiteFuncs</b>&nbsp;by&nbsp;<a href="http://www.ge-webdesign.de/cmsimpleplugins/"><u>ge-webdesign.de&nbsp;&raquo;</u></a> &nbsp; 
for&nbsp;<b>CMSimple&nbsp;4.0</b>&nbsp;or&nbsp;higher&nbsp;from&nbsp;<a href="http://www.cmsimple.org/"><u>cmsimple.org&nbsp;&raquo;</u></a></p>
</div>';
	}
	else
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0; padding: 0 0 6px 0;">
<b><a href="?subsitefuncs">Plugin Info &raquo;</a></b>
</div>
';
	}
	
	// Make CMSimple variables accessible
	global $sn,$sv,$sl,$pth;
	
	global $plugin;
	
	// Detect the foldername of the plugin.
	$plugin=basename(dirname(__FILE__),"/");

	$admin = isset($_GET['admin']) ? $_GET['admin'] : '';
	$admin .= isset($_POST['admin']) ? $_POST['admin'] : '';
	
	// Parameter "ON"  shows the Plugin Main Tab.
	// Blank "" or "OFF" does not show the Plugin Main Tab.
	$o.=print_plugin_admin('on');
	
	$o .= '<div id="ssf_SubsiteMenu">' . "\n";
	
	// First page when loading the plugin.
	if ($admin == '') 
	{
		$o.='
		<h4>Plugin SubsiteFuncs</h4>';
		
		$o .= '
		<div style="font-family: arial, sans-serif; font-size: 15px; letter-spacing: 0; border: 4px double; padding: 6px 16px; margin: 2px 0 8px 0;">
		<p style="text-align: center;">This Plugin is made for <a href="http://www.cmsimple.org/"><span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.0 &raquo;</span></a> or higher.</p>
		<p style="text-align: center;">Optimized for <span style="font-weight: 700; padding: 0 6px; ">CMSimple 4.4</span> or higher.</p>
		<p style="text-align: center;">Recommended is the current version of CMSimple from <a href="http://www.cmsimple.org/">cmsimple.org&nbsp;&raquo;</a></p>
		</div>
		';

		$o.='
		<ul>
		<li>Version: SubsiteFuncs 1.0</li>
		<li>Released: 2015-05-08</li>
		<li>Copyright: Gert Ebersbach</li>
		<li>Internet: <a href="http://www.ge-webdesign.de/cmsimpleplugins/?Eigene_Plugins">www.ge-webdesign.de</a></li>
		</ul>
		<p><b>Authors:</b></p>
		<p>Gert Ebersbach - <a href="http://www.ge-webdesign.de/cmsimpleplugins/?Eigene_Plugins">www.ge-webdesign.de</a></p>
		<p>Martin Damken - <a href="http://www.zeichenkombinat.de">www.zeichenkombinat.de</a></p>
		<hr />
		<p><b>License Info:</b></p>
		<ul>
		<li>free for noncommercial websites</li>
		<li>fee required for commercial websites</li>
		</ul>
		';
	}
	
	if ($admin == 'plugin_main') 
	{
		// activate backend template, if exists
		if(file_exists($pth['folder']['templates'].'__cmsimple_backend__/template.htm'))
		{
			$pth['folder']['template'] = $pth['folder']['templates'].'__cmsimple_backend__/';
			$pth['file']['template'] = $pth['folder']['template'].'template.htm';
			$pth['file']['stylesheet'] = $pth['folder']['template'].'stylesheet.css';
			$pth['folder']['menubuttons'] = $pth['folder']['template'].'menu/';
			$pth['folder']['templateimages'] = $pth['folder']['template'].'images/';
			$cf['meta']['robots'] = 'noindex, nofollow';
		}
		
		if(isset($_POST['subsitefuncsDataFile']))
		{
			$subsitefuncsDataFileHandle = fopen($ssf_subsitesDataPath, 'w+');
			fwrite($subsitefuncsDataFileHandle, $_POST['subsitefuncsDataFile']);
			fclose($subsitefuncsDataFileHandle);
		}

		$o.='
<p><b>Subsites Functions - Backend</b></p>';

		if(isset($_POST['subsitefuncsDataFile']))
		{
			$o.='<div class="cmsimplecore_warning" style="text-align: center; font-weight: 700;"><p>' . $plugin_tx['subsitefuncs']['menus_datafile_saved'] . '</p></div>';
		}
		else
		{
			$o.='
<h1>' . $plugin_tx['subsitefuncs']['menus_subsites_data'] . '</h1>

<form method="post" action="?subsitefuncs&admin=plugin_main&action=plugin_text">
<input class="submit" type="submit" value="' . $plugin_tx['subsitefuncs']['menus_save'] . '" />
<p style="font-family: courier new,monospace; font-size: 16px;"><b>' . $plugin_tx['subsitefuncs']['menus_legend'] . '</b> ' . $plugin_tx['subsitefuncs']['menus_legend_text'] . '</p>
<textarea type="text" name="subsitefuncsDataFile" value="hm" style="height: 360px; font-family: courier new,monospace;">';

			$o.= file_get_contents($ssf_subsitesDataPath);

			$o.= '</textarea>
<input class="submit" type="submit" value="' . $plugin_tx['subsitefuncs']['menus_save'] . '" />
</form>
<div style="width: 49%; float: left;">
<h4>' . $plugin_tx['subsitefuncs']['menus_subsites'] . '</h4>';
			
			foreach($ssf_allSubsitesArray as $zeile)
			{
				$o.= $zeile . '<br>' . "\n";
			}
			
			$o.= '</div>' . "\n" . '
<div style="width: 49%; float: left;">
<h4>' . $plugin_tx['subsitefuncs']['menus_groups'] . '</h4>';
			
			foreach($ssf_subsitesGroupsArray as $zeile)
			{
				$o.= $zeile . '<br>' . "\n";
			}
			
			$o.= '</div>' . "\n";
		}
	}
	
	if ($admin <> 'plugin_main') 
	{
		$hint=array();
		$hint['mode_donotshowvarnames'] = false;
		$o.=plugin_admin_common($action, $admin, $plugin, $hint);
	}
	
	$o .= "\n" . '</div>' . "\n";
}
?>