var SsfToggler = 
{
    toggle: function (el) 
	{
        if (this.accordeon) 
		{
            var siblings = el.parentNode.parentNode.getElementsByClassName('results-container');
            for (var i = 0; i < siblings.length; i++) 
			{
                siblings[i].classList.add('closed');
            }
        }
        el.parentNode.classList.toggle('closed');
    },
    closeAll: function (keepCurrent) 
	{
        for (var i = 0; i < this.toggles.length; i++)
        {
            var classList = this.toggles[i].parentNode.classList;
            if (keepCurrent === true && classList.contains('current')) 
			{
                continue;
            }
            classList.add('closed');
        }
    },
    init: function (querySelector, autoclose, openCurrent, accordeon) 
	{
        this.toggles = document.querySelectorAll(querySelector);
        this.autoclose = autoclose === false ? false : true;
        this.openCurrent = openCurrent === false ? false : true;
        this.accordeon = accordeon === true ? true : false;
        var close = close || true;
        var toggler = this;

        for (var i = 0; i < this.toggles.length; i++)
        {
            this.toggles[i].parentNode.classList.add('expandable');
            if (this.accordeon) 
			{
                this.toggles[i].parentNode.classList.add('accordeon');
            }

            this.toggles[i].onclick = function ()
            {
                toggler.toggle(this);
            };
        }
        if (this.autoclose) 
		{
            this.closeAll(this.openCurrent);
        }
    }
};



/* for menus from sitemap function */ 

var SsfTogglerM = 
{
    toggle: function (el) 
	{
        if (this.accordeonM) 
		{
            var siblings = el.parentNode.parentNode.getElementsByClassName('results-container');
            for (var i = 0; i < siblings.length; i++) 
			{
                siblings[i].classList.add('closed');
            }
        }
        el.parentNode.classList.toggle('closed');
    },
    closeAll: function (keepCurrent) 
	{
        for (var i = 0; i < this.toggles.length; i++)
        {
            var classList = this.toggles[i].parentNode.classList;
            if (keepCurrent === true && classList.contains('current')) 
			{
                continue;
            }
            classList.add('closed');
        }
    },
    init: function (querySelector, autocloseM, openCurrentM, accordeonM) 
	{
        this.toggles = document.querySelectorAll(querySelector);
        this.autocloseM = autocloseM === false ? false : true;
        this.openCurrentM = openCurrentM === false ? false : true;
        this.accordeonM = accordeonM === true ? true : false;
        var close = close || true;
        var toggler = this;

        for (var i = 0; i < this.toggles.length; i++)
        {
            this.toggles[i].parentNode.classList.add('expandable');
            if (this.accordeonM) 
			{
                this.toggles[i].parentNode.classList.add('accordeon');
            }

            this.toggles[i].onclick = function ()
            {
                toggler.toggle(this);
            };
        }
        if (this.autocloseM) 
		{
            this.closeAll(this.openCurrentM);
        }
    }
};
